PHP-инклюдинг в MiniBILL

Дата публикации:
30.10.2006
Всего просмотров:
1523
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MiniBill 1.x
Уязвимые версии: MiniBILL 1.2.4, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "config[page_dir]" в сценарии include/menu_builder.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/[script_path]/include/menu_builder.php?config[page_dir]=[file]

URL производителя: www.ultrize.com/minibill/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: MiniBILL v2006-10-10 (config[page_dir] Remote File Include Vulnerability

или введите имя

CAPTCHA